package com.zcloud.service.system.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.system.SupervisionDepartmentMapper;
import com.zcloud.service.system.SupervisionDepartmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：监管部门中间表
 * 作者：luoxiaobao
 * 时间：2021-10-25
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class SupervisionDepartmentServiceImpl implements SupervisionDepartmentService {

	@Autowired
	private SupervisionDepartmentMapper supervisiondepartmentMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		supervisiondepartmentMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		supervisiondepartmentMapper.delete(pd);
	}

	/**删除监管部门
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByDept(PageData pd)throws Exception{
		supervisiondepartmentMapper.deleteByDept(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		supervisiondepartmentMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return supervisiondepartmentMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return supervisiondepartmentMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return supervisiondepartmentMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		supervisiondepartmentMapper.deleteAll(ArrayDATA_IDS);
	}

}

